Bug 89058 - missing symlink to libbfd.so
missing symlink to libbfd.so
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: binutils (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-16 20:24 EDT by rmhristev
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 06:29:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rmhristev 2003-04-16 20:24:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The symlink libbfd.so -> /usr/lib/libbfd-2.13.90.0.18.so is missing.

Version-Release number of selected component (if applicable):
binutils-2.13.90.0.18-9

How reproducible:
Always

Steps to Reproduce:
1. gcc ... -liberty -lbfd ...
2.
3.
    

Actual Results:  linkage fails

Expected Results:  linkage should work


Additional info:

I assume is quite obvious. :-)

Workaround: create the symlink by hand.
Comment 1 Jakub Jelinek 2004-10-07 06:29:37 EDT
No, that's on purpose.  There is just libbfd.a.
libbfd has no stable ABI and if packages other than binutils itself
use libbfd.so, they'd prevent any binutils upgrades.

Note You need to log in before you can comment on or make changes to this bug.